Type to search.

Delete a case attachment

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Deletes a single attachment from a case. If it's a file, the file is also deleted. If it's an attack (security.attack), the alerts it added are also removed from the case, unless they're attached separately or by another attack. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

caseId string required

The identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

Example: 9c235210-6834-11ea-a78c-6ffb38a34414
attachmentId string · max length: 512 required

The ID of the attachment, which is its id field, not attachmentId. To get it, use the find case attachments API.

Example: 71ec1870-725b-11ea-a0b2-c51ea50a58e2

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

204

Indicates a successful call.

Authorization information is missing or invalid.

application/json
error string
message string
statusCode integer